Package io.helidon.reactive.webclient
Interface WebClientRequestBuilder.ClientRequest
- Enclosing interface:
WebClientRequestBuilder
public static interface WebClientRequestBuilder.ClientRequest
Request to a server. Contains all information about used request headers, configuration etc.
-
Method Summary
Modifier and TypeMethodDescriptionfragment()Returns a decoded request URI fragment without leading hash '#' character.headers()Headers which are used in current request.method()Returns an HTTP request method.path()Returns a path which was accepted by matcher in actual routing.Request immutable list of properties.proxy()Proxy used by current request.query()Returns an encoded query string without leading '?' character.Returns query parameters.intReturns how many times our request has been redirected.uri()Returns a Request-URI (or alternatively path) as defined in request line.version()Returns an HTTP version from the request line.
-
Method Details
-
method
Http.Method method()Returns an HTTP request method. See alsoHTTP standard methodsutility class.- Returns:
- an HTTP method
- See Also:
-
version
Http.Version version()Returns an HTTP version from the request line.See
HTTP Versionenumeration for supported versions.If communication starts as a
HTTP/1.1withh2cupgrade, then it will be automatically upgraded and this method returnsHTTP/2.0.- Returns:
- an HTTP version
-
uri
URI uri()Returns a Request-URI (or alternatively path) as defined in request line.- Returns:
- a request URI
-
query
String query()Returns an encoded query string without leading '?' character.- Returns:
- an encoded query string
-
queryParams
UriQuery queryParams()Returns query parameters.- Returns:
- an parameters representing query parameters
-
path
UriPath path()Returns a path which was accepted by matcher in actual routing. It is path without a context root of the routing.Use
UriPath.absolute()method to obtain absolute request URI path representation.Returned
UriPathalso provides access to path template parameters. An absolute path then provides access to all (including) context parameters if any. In case of conflict between parameter names, most recent value is returned.- Returns:
- a path
-
fragment
String fragment()Returns a decoded request URI fragment without leading hash '#' character.- Returns:
- a decoded URI fragment
-
headers
WebClientRequestHeaders headers()Headers which are used in current request.- Returns:
- request headers
-
properties
Request immutable list of properties.- Returns:
- request properties
-
proxy
Proxy proxy()Proxy used by current request.- Returns:
- proxy
-
redirectionCount
int redirectionCount()Returns how many times our request has been redirected.- Returns:
- redirection count
-